/* -*-C-*-

Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
    2016, 2017, 2018, 2019 Matthew Birkholz

This file is part of an OpenGL plugin for MIT/GNU Scheme Pucked.

This plugin is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This plugin is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this plugin; if not, write to the Free Software Foundation,
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

*/

/* Header for gl-shim.c and gl-const.c. */

#include <gtk/gtk.h>
#include <GL/glx.h>
#include <GL/glu.h>

/* Do not declare in gl-const.c, which does not include mit-scheme.h. */
#ifdef CSTACK_PUSH
extern void gl_clear_color (double *color);
extern void gl_color (double *color);
extern void gl_vertex (double *point);
extern void gl_light (GLenum light, GLenum pname, double *params);
extern void gl_light_model_v (GLenum pname, double *params);
extern void gl_material (GLenum face, GLenum pname, double *params);
extern void gl_normal (double *point);
extern void glu_look_at (double *eye, double *center, double *up);
extern GdkVisual* glx_find_gdkvisual (GdkWindow *window, XVisualInfo *visinfo);
extern int gdk_window_xid (GdkWindow *window);
extern Display* gdk_window_xdisplay (GdkWindow *window);
extern int gdk_window_screen_num (GdkWindow *window);
#endif
